# IRnNtClient Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | GetStatus ([out, retval] ReNtClientStatus *pStatus)
HRESULT | GetSessionId ([out, retval] RtCSNID *pcsnidClient)
HRESULT | GetSharedSpace ([out, retval] IRsNode **ppSharedSpace)
HRESULT | UpdateVoIPSettings (void)
HRESULT | PushToTalk ([in] RtBOOL bTalk)
HRESULT | VoIPEnabled ([out, retval] RtBOOL *pbVal)
HRESULT | GetVoIPState ([out, retval] ReVoIPClientState *peState)
HRESULT | GetMicMuteState ([out, retval] RtBOOL *pbVal)
HRESULT | SetMicMuteState ([in] RtBOOL bVal)
HRESULT | GetModeratorCmdState ([out, retval] RtNetModeratorCmdState *pState)
HRESULT | TypingAChatMessage ()
HRESULT | SendModeratorCommand ([in] ReNetModeratorCmd eCmd,[in] RtDWORD dwParam)
HRESULT | SendReqToModerator ([in] ReNetReqToModerator eReq)
HRESULT | SerializeAndSendObject ([in] void *pMsgHeader,[in] RtDWORD dwMsgHeaderSize,[in] IRsPersistStream *pPersistStream,[in] RtDWORD dwFlags)

## Detailed Description

RnNtClient object represents the client for a Shared Space session.
Purpose of the object is to login, content synchronize and communication with connected Shared Space server represented by RnNtServer object.

## Member Function Documentation

HRESULT IRnNtClient::GetStatus | ( | [out, retval] ReNtClientStatus * | pStatus | ) |

Call to get the client's status.

Returns:
  pStatus [out, retval] Returns actual client's status. See RnNtClient::ReNtClientStatus.

  Standard error message could be applied.

HRESULT IRnNtClient::GetSessionId | ( | [out, retval] RtCSNID * | pcsnidClient | ) |

Call to get the session Id for this client node.

Returns:
  pcsnidClient [out, retval] Returns client's session Id.

  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtClient::GetSharedSpace | ( | [out, retval] IRsNode ** | ppSharedSpace | ) |

Get focused Shared Space interface.

Returns:
  ppSharedSpace [out, retval] Returns IRsNode interface for the Shared Space node.

  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtClient::UpdateVoIPSettings | ( | void |  | ) |

Note: voip not available in current version.
Call to apply VoIP settings for this client node if it was changed during session.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtClient::PushToTalk | ( | [in] RtBOOL | bTalk | ) |

Note: voip not available in current version.
Inform this client node about push to talk status.

Parameters:

  | bTalk | [in] Set to TRUE if the voice should be transfered from client and set to FALSE if it should stop. If automatic squelch is used,this method is ignored.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtClient::VoIPEnabled | ( | [out, retval] RtBOOL * | pbVal | ) |

Note: voip not available in current version.
Call to check if VoIP is supported in this session.

Returns:
  pbVal [out, retval] Returns TRUE if the VoIP is supported or FALSE if not.
  This out parameter is optional.

  S_OK if the VoIP is supported or S_FALSE if not.

HRESULT IRnNtClient::GetVoIPState | ( | [out, retval] ReVoIPClientState * | peState | ) |

Note: voip not available in current version.
Get the current VoIP status.

Returns:
  peState [out, retval] Returns current VoIP status for this client.
  See RsVoIPDef::ReVoIPClientState for possible values.

  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtClient::GetMicMuteState | ( | [out, retval] RtBOOL * | pbVal | ) |

Note: voip not available in current version.
Get current microphone mute state of this client node.

Returns:
  pbVal [out, retval] Returns TRUE if microphone is muted.
  This out parameter is optional.

  S_OK if microphone is muted or S_FALSE if not muted.

HRESULT IRnNtClient::SetMicMuteState | ( | [in] RtBOOL | bVal | ) |

Note: voip not available in current version.
Set microphone mute state for this client node.

Parameters:

  | bVal | [in] Set to TRUE if you want mute the microphone and set to FALSE to enable it again.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtClient::GetModeratorCmdState | ( | [out, retval] RtNetModeratorCmdState * | pState | ) |

Call this method to get current moderator state.
You can use it to find if the client is Moderator as well.

Returns:
  pState [out, retval] Specify pointer of the structure that will be filled by current state.
  You can specify NULL if you want to just find if the client is a Moderator or not.

  S_OK If the client is moderator.

  S_FALSE If the client not moderator. The pState structure is not set.

HRESULT IRnNtClient::TypingAChatMessage | ( |  | ) |

Call this method when you typing a chat messaged.
The info will be sent to server in a time interval.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtClient::SendModeratorCommand | ( | [in] ReNetModeratorCmd | eCmd,
|  | [in] RtDWORD | dwParam |
| ) |  |  |

Call to send Moderator command to connected server.
Depends on your rights the server could refuse your command.

Parameters:

  | eCmd | [in] Moderator command.
  | dwParam | [in] Moderator command parameter.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtClient::SendReqToModerator | ( | [in] ReNetReqToModerator | eReq | ) |

Call to send request to Moderator.

Parameters:

  | eReq | [in] Request to moderator.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRnNtClient::SerializeAndSendObject | ( | [in] void * | pMsgHeader,
|  | [in] RtDWORD | dwMsgHeaderSize,
|  | [in] IRsPersistStream * | pPersistStream,
|  | [in] RtDWORD | dwFlags |
| ) |  |  |

Serialize object and send it to server connected through this client.

Parameters:

  | pMsgHeader | [in] Message header. The header is serialized first, then it is followed by the serialized object.
  | dwMsgHeaderSize | [in] Size of the Message header.
  | pPersistStream | [in] The persist stream interface of the object to be serialized.
  | dwFlags | [in] Additional flags. See "Flags used by Send method".

Returns:
  Standard HRESULT processing can be applied to the result.